Package twisted :: Package web :: Package woven :: Module form :: Class FormErrorModel

[show private | hide private]
[frames | no frames]

## Class FormErrorModel

       Model --+
               |
     MethodModel --+
                   |
    FormDisplayModel --+
                       |
                      FormErrorModel

Method Summary
| `__init__(self, *args, **kwargs)` (inherited from `Model`)
| `__getstate__(self)` (inherited from `Model`)
| `addSubview(self, name, subview)` (inherited from `Model`)
| ``addView`(self, view)` Add a view for the model to keep track of. (inherited from `Model`)
| `dataWillChange(self)` (inherited from `Model`)
| `getData(self, request)` (inherited from `Model`)
| ``getSubmodel`(self, request, name)` Get the submodel `name' of this model. (inherited from `MethodModel`)
| `initialize(self, fmethod, args, err)`
| ``invalidateCache`(self)` Invalidate the cache for this object, so the next time getData is called, it's getter method is called again. (inherited from `Model`)
| ``lookupSubmodel`(self, request, submodelName)` Look up a full submodel name. (inherited from `Model`)
| ``notify`(self, changed)` Notify all views that something was changed on me. (inherited from `Model`)
| ``removeView`(self, view)` Remove a view that the model no longer should keep track of. (inherited from `Model`)
| `setData(self, request, data)` (inherited from `Model`)
| `setGetter(self, getter)` (inherited from `Model`)
| `setSetter(self, setter)` (inherited from `Model`)
| ``setSubmodel`(self, request, name, value)` Set a submodel on this model. (inherited from `Model`)
| ``submodelCheck`(self, request, name)` Allow any submodel for which I have a submodel. (inherited from `MethodModel`)
| ``submodelFactory`(self, request, name)` Call a wmfactory_name method on this model. (inherited from `MethodModel`)
| `wmfactory_description(self, request)`

Generated by Epydoc 1.1 on Thu May 8 13:19:11 2003 | http://epydoc.sf.net